Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11DSAPublicKey

    java.lang.Object
      org.mozilla.jss.pkcs11.PK11PubKey
          org.mozilla.jss.pkcs11.PK11DSAPublicKey

All Implemented Interfaces:
  java.io.Serializable, java.security.interfaces.DSAKey, java.security.interfaces.DSAPublicKey, java.security.Key, java.security.PublicKey

    public final class PK11DSAPublicKey

extends PK11PubKey
implements java.security.interfaces.DSAPublicKey

See Also:
  Serialized Form

Field Summary
`protected org.mozilla.jss.pkcs11.KeyProxy` | `keyProxy`

Fields inherited from interface java.security.interfaces.DSAPublicKey
`serialVersionUID`

Constructor Summary
`PK11DSAPublicKey(byte[] pointer)`

Method Summary
`java.security.interfaces.DSAParams` | `getParams()`
`java.math.BigInteger` | `getY()`

Methods inherited from class org.mozilla.jss.pkcs11.PK11PubKey
`fromRaw, fromSPKI, getAlgorithm, getEncoded, getFormat, getKeyType, verifyKeyIsOnToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Field Detail

### keyProxy

    protected org.mozilla.jss.pkcs11.KeyProxy keyProxy

Constructor Detail

### PK11DSAPublicKey

    public PK11DSAPublicKey(byte[] pointer)

Method Detail

### getParams

    public java.security.interfaces.DSAParams getParams()

  Specified by:
    `getParams` in interface `java.security.interfaces.DSAKey`

### getY

    public java.math.BigInteger getY()

  Specified by:
    `getY` in interface `java.security.interfaces.DSAPublicKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD